<?php
/* -----------------------------------------------------------------------------
  Plugin     : GMaps
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://www.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }



global $prefixeTable, $template;

load_language('plugin.lang', ESTAT_PATH);

$main_plugin_object = get_plugin_data($plugin_id);


if(CommonPlugin::checkGPCRelease(ESTAT_GPC_NEEDED))
{
  $config=Array();
  GPCCore::loadConfig('estat', $config);

  if($config['installed']!=ESTAT_VERSION2)
  {
    /* the plugin was updated without being deactivated
     * deactivate + activate the plugin to process the database upgrade
     */
    include(ESTAT_PATH."estat_install.class.inc.php");
    $plugin=new EStat_Install($prefixeTable, dirname(__FILE__));
    $plugin->deactivate();
    $plugin->activate();
    $template->delete_compiled_templates();
    //$config['newInstall']='n';
  }


  /*
   * if the plugin is newly installed, display a special configuration page
   * otherwise, display normal page
   */
  if($config['plugin.newInstall']=='n')
  {
    include(ESTAT_PATH."estat_aip.class.inc.php");
    $plugin_aip = new EStat_AIP($prefixeTable, $main_plugin_object->getFileLocation());
  }
  else
  {
    include(ESTAT_PATH."estat_aip_install.class.inc.php");
    $plugin_aip = new EStat_AIPInstall($prefixeTable, $main_plugin_object->getFileLocation());
  }
}
else
{
  /*
   * plugin was upgraded, but GPC was not
   * display a page to inform user to upgrade GPC
   */
  include(ESTAT_PATH."estat_aip_release.class.inc.php");
  $plugin_aip = new EStat_AIPRelease($prefixeTable, $main_plugin_object->getFileLocation());
}

$plugin_aip->manage();

?>
